Edushade Docs
Billing

Create price

POST
/billing/price
AuthorizationBearer <token>

In: header

access_duration_daysinteger
Default30
amount_in_centsinteger
Default12000
currencystring
Default"USD"
entity_idstring
Default"7c9e6679-7425-40de-944b-e07fc1f90ae7"
Formatuuid
entity_typestring
Default"book"
grace_period_daysinteger
Default7
pricing_modelstring
Default"one-time"

Response Body

curl -X POST "https://edushade.com/api/v1/billing/price" \
  -H "Content-Type: application/json" \
  -d '{
    "access_duration_days": 30,
    "amount_in_cents": 12000,
    "currency": "USD",
    "entity_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "entity_type": "book",
    "grace_period_days": 7,
    "pricing_model": "one-time"
  }'
{}
Empty
Empty
Empty